Module org.hsqldb
Package org.hsqldb.lib

## Interface LongLookup

- All Known Implementing Classes:
    `DoubleIntIndex`, `DoubleLongIndex`

      public interface LongLookup

  Interface for long to long lookup.
  Since:
    2.0.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `add​(long key, long value)` |
    `boolean` | `addUnsorted​(long key, long value)` |
    `boolean` | `addUnsorted​(LongLookup other)` |
    `void` | `clear()` |
    `boolean` | `compactLookupAsIntervals()` |
    `LongLookup` | `duplicate()` |
    `long` | `getLongKey​(int pos)` |
    `long` | `getLongValue​(int pos)` |
    `long` | `getTotalValues()` |
    `long` | `lookup​(long key)` |
    `long` | `lookup​(long key, long def)` |
    `void` | `setLongValue​(int pos, long newValue)` |
    `int` | `size()` |
    `void` | `sort()` |

- - ### Method Detail

    - #### add

          int add​(long key,
                  long value)

    - #### addUnsorted

          boolean addUnsorted​(long key,
                              long value)

    - #### lookup

          long lookup​(long key)
               throws java.util.NoSuchElementException

      Throws:
        `java.util.NoSuchElementException`

    - #### lookup

          long lookup​(long key,
                      long def)

    - #### getLongKey

          long getLongKey​(int pos)

    - #### getLongValue

          long getLongValue​(int pos)

    - #### setLongValue

          void setLongValue​(int pos,
                            long newValue)

    - #### getTotalValues

          long getTotalValues()

    - #### size

          int size()

    - #### sort

          void sort()

    - #### clear

          void clear()

    - #### duplicate

          LongLookup duplicate()

    - #### addUnsorted

          boolean addUnsorted​(LongLookup other)

    - #### compactLookupAsIntervals

          boolean compactLookupAsIntervals()